{$A+,B-,D-,E-,L-,N-,O-,P-,Q-,R-,S-,T-,V-,X-,Y-}

CONST
  am: string[255] = 'QL v1.01 XII-1992, IX-1996 by V. Lidovski';
  b = 62*1024;

VAR
 cl, cll: longint;
 xf: text;
 lll: integer;
 buf: array [1..b] of byte;

BEGIN
  writeln(am);
  if not (paramcount in [1, 2]) then begin
    writeln('USAGE: ql <filename> [<long line length>]');
    halt(3)
  end;
  cl := maxint;
  if paramcount = 2 then begin
    val(paramstr(2), cl, lll);
    if cl <= 0 then begin
      writeln('Incorrect parameter: ', paramstr(2));
      halt(3)
    end
  end;
  lll := cl;
  assign(xf, paramstr(1));
{$I-}
  reset(xf);
  if ioresult <> 0 then begin
    writeln(paramstr(1), ' not found');
    halt(1)
  end;
{$I+}
  settextbuf(xf, buf);
  cl := 0;
  cll := 0;
  repeat
    readln(xf, am);
    inc(cl);
    if (length(am) > lll) and (lll > 0) then begin
      inc(cll);
      writeln(cl)
    end
  until eof(xf);
  writeln('lines=', cl);
  if lll < maxint then
    writeln('long lines(<', lll, ')=', cll);
  close(xf)
END.

